#ifndef _glirc_parser_h
#define _glirc_parser_h

#define	MAXPARAM		15
/*----------------------------------*/
/*#define MAX_REJOIN	10     */	/* max # of channels to rejoin.
 */

extern Winstruct	*Win;
extern int		X;	/* no of windows on current server*/
extern char		*Msg;	/* message from server */


#define NOTICE	0

extern void p_numeric(int numeric);
extern void  p_privmsg(int flag);
extern void  p_invite(void);
extern void  p_topic(void);
extern void  p_join(void);
extern void  p_note(void);
extern void  p_mode(void);

/*extern int AddToChanUsers(Winstruct *, const char *, const char *);*/
extern int new_addto_chanusers(Winstruct *win,const char *channame, User *u);
extern void addto_sender(const char *, u_int);

extern Winstruct *getwinbycmd(Server *,const  char *,const  char *, int);
extern Channel *get_chan_byname(const Winstruct *win, const char *channame);
extern User *search_userlist(const Channel *, const char *, int *);
extern Winstruct *get_win_bychanname(int fd, const char *channame);
extern User *get_user_byuser(const Channel *chan,const char *sender);
extern int RemoveFromWinChanList(Winstruct * win, const char *channame);

#endif
